#
# spec file for package signon-ui
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           signon-ui
Version:        0.17.20231016T221200~eef943f
Release:        1.3
Summary:        Single Sign On UI
License:        GPL-3.0-only
Group:          System/GUI/Other
URL:            https://gitlab.com/accounts-sso/signon-ui
Source:         %{name}-%{version}.tar.xz
# Patches for upstream, but upstream is dead
Patch0:         0001-Fix-WebEngine-cache-directory-path.patch
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt6Core)
BuildRequires:  pkgconfig(Qt6DBus)
BuildRequires:  pkgconfig(Qt6Gui)
BuildRequires:  pkgconfig(Qt6Network)
BuildRequires:  pkgconfig(Qt6Quick)
BuildRequires:  pkgconfig(Qt6WebEngineQuick)
BuildRequires:  pkgconfig(Qt6Widgets)
BuildRequires:  pkgconfig(accounts-qt6)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libproxy-1.0)
BuildRequires:  pkgconfig(libsignon-qt6)
BuildRequires:  pkgconfig(signon-plugins-common)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
Requires:       qt6-webchannel-imports
# It can only build on the same platforms as Qt Webengine
ExclusiveArch:  x86_64 aarch64 riscv64

%description
This package contains the user interface for the signond Single Sign On service.

%prep
%autosetup -p1

# Don't build tests
sed -i '/tests/d' signon-ui.pro

# Fix libdir
sed -i 's#/lib#/%{_lib}#g' common-installs-config.pri

%build
%qmake6

%qmake6_build

%install
%qmake6_install

# The .desktop file is useless
rm -r %{buildroot}%{_datadir}/applications

%files
%license COPYING
%{_bindir}/signon-ui
%{_datadir}/dbus-1/services/com.canonical.indicators.webcredentials.service
%{_datadir}/dbus-1/services/com.nokia.singlesignonui.service

%changelog
* Wed Feb 28 2024 Christophe Marin <christophe@krop.fr>
- Drop 0001-Reintroduce-the-username-field-reading-with-webkit-o.patch
  it's not needed anymore with the current snapshot
* Wed Feb 21 2024 Christophe Marin <christophe@krop.fr>
- Use a git snapshot to build signon-ui with Qt6
- Update to signon-ui-0.17.20231016T221200~eef943f
* Sat Sep 29 2018 fabian@ritter-vogt.de
- Add patch to return a proper username again:
  * 0001-Reintroduce-the-username-field-reading-with-webkit-o.patch
* Sat Sep  8 2018 fabian@ritter-vogt.de
- Update to webengine branch (4368bb77d9d1abc2978af514225ba4a42c29a646):
  * No WebKit dependency anymore
  * While it has missing features, it's important to switch to a
    maintained browser engine.
  * Does not support webkit-options.d, which means usernames will
    be blank and autologin non-functional. Tokens are still saved.
- Add patch to fix bug in WebEngine integration:
  * 0001-Fix-WebEngine-cache-directory-path.patch
* Fri Nov  3 2017 buschmann23@opensuse.org
- Update to version 0.17+15.10.20150810
  * no changelog available
* Sat Feb 22 2014 tittiatcoke@gmail.com
- Initial package
